Subject: RE: [Tsvwg] RE: [rdma] a proposal for a different No-Data-Touch f ramer for TC P

From: [email-masked]
Date: Tue, 19 Feb 2002 18:04:30 -0700

Steph,

I wouldn't consider this a leading candidate as the potential inefficiencies
are 
too large. Packing can improve the efficiency if there is a stream of short
PDUs.
However, it is very common to have a mix of long and short PDUs in the data
path.
When a small PDU is followed by a large PDU such that the combination of the
two 
doesn't fit in the fixed length segment, then one has no alternative but to
pad
the segment containing the short PDU and start a new segment with the large
PDU.

For bulk data protocols, the overwhelming majority of data in large PDUs as
you say
IF one is comparing bytes in small packets vs bytes in large packets.
However, 
by packet count, there are a lot of small packets. Usually more than half
the packets
are short (commands, status, R2T's, etc). The mixture of packet sizes
reduces 
efficiency with a fixed length scheme.

Bandwidth in the LAN isn't expensive, but it isn't free either. More
importantly,
bandwith for applications crossing the WAN is expensive and wasting it in a
fixed
length "aligning FIM" would not be acceptable.

Regards,
Pat

-----Original Message-----
From: Stephen Bailey [mailto:[email-masked]]
Sent: Friday, February 15, 2002 11:31 AM
To: THALER,PAT (A-Roseville,ex1)
Cc: [email-masked]
Subject: Re: [Tsvwg] RE: [rdma] a proposal for a different No-Data-Touch
framer for TC P 

Pat,

> I don't understand what you are suggesting.

Actually, it seems you do understand what he's suggesting, but are not
buying it :^)

The way I'd define it, it's not that the ULP PDUs are fixed length,
but that the framing protocol may add padding within a finite
interval.  For best transport efficiency, you would need to do what
TUF calls `ULPDU packing'.  You may end up with more than one ULPDU
per finite interval.

It actually seems like it might be a pretty good scheme.  Your finite
interval would be EMSS, and the segmentation algorithm would be
similar to the current TUF except to get markers at the beginning of
segments.

This might be a new leading candidate.  It's no touch and completely
safe.  The cost is that you must either do ULPDU packing (the
unpacking is actually the burdensome part, but I personally never
thought it was too horrible), or live with inefficient transport of
small messages.  For bulk data protocols (e.g. storage) the
overwhelming majority of the data you carry is in large
(interval-sized) PDUs, so a small loss of transport efficiency for the
control PDUs won't hurt.

Alright, you've done it again Jim!  By muddying the waters we clarify
them :-?

Steph

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg